Bug 11100 - xsp segfaults on mono 3.0.8 (March 13)
Summary: xsp segfaults on mono 3.0.8 (March 13)
Status: RESOLVED NORESPONSE
Alias: None
Product: Runtime
Classification: Mono
Component: JIT (show other bugs)
Version: unspecified
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2013-03-13 04:11 UTC by Artyom Antyipin
Modified: 2018-01-24 17:59 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
crash stack trace (12.90 KB, text/plain)
2013-03-13 04:11 UTC, Artyom Antyipin
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NORESPONSE

Description Artyom Antyipin 2013-03-13 04:11:28 UTC
Created attachment 3592 [details]
crash stack trace

mono trunk:
Mono JIT compiler version 3.0.8 (master/988f522 2013. march. 13., 08.15.57 CET)
Copyright (C) 2002-2012 Novell, Inc, Xamarin Inc and Contributors. www.mono-project.com
	TLS:           __thread
	SIGSEGV:       altstack
	Notifications: epoll
	Architecture:  amd64
	Disabled:      none
	Misc:          softdebug 
	LLVM:          yes(3.2svn-mono)
	GC:            Included Boehm (with typed GC and Parallel Mark)

fastcgi_mono_server4 crashes on first access with segfault (traces attached)

Stack trace provided for sgen version, but the same happens when using Boehm GC..
Comment 1 Rodrigo Kumpera 2017-10-14 00:09:29 UTC
Thank you for your report!

It appears you are running a very old version of Mono. Could you please try to update to any recent version and try to reproduce the issue again.

If the issue still persists please include the version information and change the bug status to NEW.
Comment 2 Ludovic Henry 2018-01-24 17:59:10 UTC
Please provide information requested in previous comment to reopen. Thank you.